Detach a user's access profile
Removes the profile from the user and deletes every virtual key it produced. Fails closed if a virtual key cannot be deleted.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
target_user_idstring
profile_idinteger
Response Body
curl -X DELETE "https://loading/{AI_GATEWAY_URL}/api/users/string/access-profiles/0"{
"message": "string",
"deleted_vk_names": [
"string"
],
"deleted_vk_count": 0
}Empty
{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}